/// <reference types="react" />
import React from "react";
interface FilterQLBuilderState {
    filterQL: string | undefined;
    gen: number;
}
declare class FilterQLBuilderWebComponent extends React.Component<Record<string, never>, FilterQLBuilderState> {
    static get observedAttributes(): string[];
    filterQL: string | undefined;
    state: FilterQLBuilderState;
    ref: React.RefObject<HTMLDivElement>;
    get webComponentEl(): HTMLDivElement | undefined;
    webComponentConnected(): void;
    _suppressSetState: boolean;
    webComponentAttributeChanged(name: string, oldValue: string, newValue: string): void;
    render(): JSX.Element;
    handleChange<T>(data: T, event: string): void;
}
export { FilterQLBuilderWebComponent };
export { FilterQLBuilder, FilterQLBuilderProps, builders } from "@lytics/segbuilder";
export * as segast from "@lytics/segast";
